Python: sqlite no se ha encontrado una distribución coincidente para sqlite

Intenté instalar esa librería por pip en la consola. Estoy usando win7 y python v. 2.7.10. Pero no pudo lograrlo. De acuerdo con esto , también se puede utilizar para mi versión de python.

Intenté instalar de varias maneras:

pip instalar sqlite

pip instalar sqlite3

pip instalar sqlite-devel

¿Que esta mal aquí?

Full error: Could not find a version that satisfies the requirement(). No matching distribution found for ... 

¿Qué te hace pensar que necesitas instalar esto? sqlite es parte de la biblioteca estándar y no necesita instalación.

Tuve un problema similar en RHEL7.4 funcionó con la siguiente solución

Si compiló e instaló Python 3 usted mismo, instale las dependencias ( libsqlite3-dev o sqlite-devel o similar, dependiendo de su distribución de Linux, por ejemplo), luego vuelva a comstackr y reinstalar Python 3.

Después de instalar sqlite-devel , reinstalé Python3.6 en mi máquina siguiendo los pasos a continuación.

  1. descargar wget https://www.python.org/ftp/python/3.6.3/Python-3.6.3.tar.xz
  2. tar xvf Python-3.6.3.tar.xz
  3. cd Python-3.6.3 y luego ejecute ./configure
  4. hacer
  5. hacer instalar

después de hacer esto cuando lanzo el portátil jupyter se lanzó

El crédito va para esta respuesta a Martijn Link https://stackoverflow.com/a/41440858/5863866

Otra solución simple sería

pip install pysqlite